package com.chenyang.nse.bussiness.entity.orm.table.core.file;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_FILE_STRUCTURECOLUMN"
)
public class TCoreFileStructurecolumn extends TBaseEntity {
   private int columnindex;
   private String columnname;
   private String columntype;
   private String columnaccuracy;
   private String columndecimal;
   private String columnwidth;
   private String columnformat;
   private String columnnotnull;
   private String keytype;
   private String filestructureid;

   public TCoreFileStructurecolumn() {
   }

   public TCoreFileStructurecolumn(int columnindex, String columnname, String columntype, String columnaccuracy, String columndecimal, String columnwidth, String columnformat, String columnnotnull, String keytype, String filestructureid) {
      this.columnindex = columnindex;
      this.columnname = columnname;
      this.columntype = columntype;
      this.columnaccuracy = columnaccuracy;
      this.columndecimal = columndecimal;
      this.columnwidth = columnwidth;
      this.columnformat = columnformat;
      this.columnnotnull = columnnotnull;
      this.keytype = keytype;
      this.filestructureid = filestructureid;
   }

   public int getColumnindex() {
      return this.columnindex;
   }

   public void setColumnindex(int columnindex) {
      this.columnindex = columnindex;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getColumntype() {
      return this.columntype;
   }

   public void setColumntype(String columntype) {
      this.columntype = columntype;
   }

   public String getColumnaccuracy() {
      return this.columnaccuracy;
   }

   public void setColumnaccuracy(String columnaccuracy) {
      this.columnaccuracy = columnaccuracy;
   }

   public String getColumndecimal() {
      return this.columndecimal;
   }

   public void setColumndecimal(String columndecimal) {
      this.columndecimal = columndecimal;
   }

   public String getColumnformat() {
      return this.columnformat;
   }

   public void setColumnformat(String columnformat) {
      this.columnformat = columnformat;
   }

   public String getColumnnotnull() {
      return this.columnnotnull;
   }

   public void setColumnnotnull(String columnnotnull) {
      this.columnnotnull = columnnotnull;
   }

   public String getKeytype() {
      return this.keytype;
   }

   public void setKeytype(String keytype) {
      this.keytype = keytype;
   }

   public String getFilestructureid() {
      return this.filestructureid;
   }

   public void setFilestructureid(String filestructureid) {
      this.filestructureid = filestructureid;
   }

   public String getColumnwidth() {
      return this.columnwidth;
   }

   public void setColumnwidth(String columnwidth) {
      this.columnwidth = columnwidth;
   }

   public String toString() {
      return "TCoreFileStructurecolumn [columnindex=" + this.columnindex + ", columnname=" + this.columnname + ", columntype=" + this.columntype + ", columnaccuracy=" + this.columnaccuracy + ", columndecimal=" + this.columndecimal + ", columnwidth=" + this.columnwidth + ", columnformat=" + this.columnformat + ", columnnotnull=" + this.columnnotnull + ", keytype=" + this.keytype + ", filestructureid=" + this.filestructureid + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.columnaccuracy == null ? 0 : this.columnaccuracy.hashCode());
      result = 31 * result + (this.columndecimal == null ? 0 : this.columndecimal.hashCode());
      result = 31 * result + (this.columnformat == null ? 0 : this.columnformat.hashCode());
      result = 31 * result + this.columnindex;
      result = 31 * result + (this.columnname == null ? 0 : this.columnname.hashCode());
      result = 31 * result + (this.columnnotnull == null ? 0 : this.columnnotnull.hashCode());
      result = 31 * result + (this.columntype == null ? 0 : this.columntype.hashCode());
      result = 31 * result + (this.columnwidth == null ? 0 : this.columnwidth.hashCode());
      result = 31 * result + (this.filestructureid == null ? 0 : this.filestructureid.hashCode());
      result = 31 * result + (this.keytype == null ? 0 : this.keytype.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreFileStructurecolumn other = (TCoreFileStructurecolumn)obj;
         if (this.columnaccuracy == null) {
            if (other.columnaccuracy != null) {
               return false;
            }
         } else if (!this.columnaccuracy.equals(other.columnaccuracy)) {
            return false;
         }

         if (this.columndecimal == null) {
            if (other.columndecimal != null) {
               return false;
            }
         } else if (!this.columndecimal.equals(other.columndecimal)) {
            return false;
         }

         if (this.columnformat == null) {
            if (other.columnformat != null) {
               return false;
            }
         } else if (!this.columnformat.equals(other.columnformat)) {
            return false;
         }

         if (this.columnindex != other.columnindex) {
            return false;
         } else {
            if (this.columnname == null) {
               if (other.columnname != null) {
                  return false;
               }
            } else if (!this.columnname.equals(other.columnname)) {
               return false;
            }

            if (this.columnnotnull == null) {
               if (other.columnnotnull != null) {
                  return false;
               }
            } else if (!this.columnnotnull.equals(other.columnnotnull)) {
               return false;
            }

            if (this.columntype == null) {
               if (other.columntype != null) {
                  return false;
               }
            } else if (!this.columntype.equals(other.columntype)) {
               return false;
            }

            if (this.columnwidth == null) {
               if (other.columnwidth != null) {
                  return false;
               }
            } else if (!this.columnwidth.equals(other.columnwidth)) {
               return false;
            }

            if (this.filestructureid == null) {
               if (other.filestructureid != null) {
                  return false;
               }
            } else if (!this.filestructureid.equals(other.filestructureid)) {
               return false;
            }

            if (this.keytype == null) {
               if (other.keytype != null) {
                  return false;
               }
            } else if (!this.keytype.equals(other.keytype)) {
               return false;
            }

            return true;
         }
      }
   }
}
